<html lang="en">
<head>
<title>Polygon sweeps - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Swept-objects.html#Swept-objects" title="Swept objects">
<link rel="prev" href="Nested-sweeps.html#Nested-sweeps" title="Nested sweeps">
<link rel="next" href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure" title="Polyline sweeps with closure">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Polygon-sweeps"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Swept-objects.html#Swept-objects">Swept objects</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">2.7.4 Polygon sweeps</h4>

<p>Sweeping a polygon
<a name="index-polygon-sweep-132"></a><a name="index-swept-polygon-133"></a>creates a closed surface with polygons at the ends,
which are just copies of the original, appropriately
positioned.  See <a href="Solid-coil-example.html#Solid-coil-example">Solid coil example</a>. 
<a name="index-options_002c-swept-object-134"></a>Options on the swept polygon,
if they exist, are applied to the ends.  Otherwise the sweep options
<a name="index-options_002c-sweep-135"></a>are used throughout.

   </body></html>

